Major issues on IOS upgrade on 7609

Unanswered Question
Nov 9th, 2008

Hi. Indeed, the problem is we got some major issues in terms of HSRP states on our 7609 routers as attached (HSRP). All doubled-subnet Vlans with having HSRP enabled on them (2 different HSRP group), have problem in regard of HSRP status. One of our HSRP groups is putting in "unknown" mode in terms of it's Standby router. On the other hand, mentioned problematic subnet is not displayed on 2nd router's HSRP states (sho stand br).

So, we tended to change the IOS from "c7600rsp72043_rp-ADVENTERPRISEK9-M), Version 12.2(33)SRB2" to "s72033_rp-ADVENTERPRISEK9_WAN-M), Version 12.2(18)SXF9".

So, the major issue is we got the following warning during copying the new IOS: "%Warning: File not a valid executable for this system". I'm not sure if the problem is because we have RSP720-3c module on our routers and the new IOS is for SUP720 or what? Second issue is after reloading routers and pushing "boot system" by exact path of new IOS, the router goes to ROMMON and can not find the new IOS in flash. Moreover, as we can not change the start-up configs, we have no access to NVRAM in order to changing boot system configs. So, I hope that someone can give me his hands otherwise I have to deploy the IOS again by XMODEM! Please kindly advise.

In case of any further info needed, please let me know to attach related logs.

Thanks in advance &

Regards,

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
glen.grant Sun, 11/09/2008 - 03:30

I believe the system is correct I don't see that version you are quoting at all for a 7600 series router , to me that looks like a 6509 version and that why the system is complaining . I see your old version of code in the download but nothing close to what you say , I think you downloaded the wrong image.All the versions for a 7600 do indeed have 12. . SR in the syntax.The latest version I see for a 7600 is c7600rsp72043-adventerprisek9-mz.122-33.SRD.bin Hopefully you still have the old version in flash somewhere otherwise you have a very long wait doing xmodem for a 7600 image which is probably at least 40 meg .

medi.mazinani Sun, 11/09/2008 - 23:24

Hi. I need to say that there is nothing wrong with both IOS, cuz we used both of them during our project on our 7600 Series and both working correct. I think the problem is because of difference between SUP720 and RSP720. Anw, fortunately I've found the solution and the problem got resolved. Thanks for your time. Regards,

edsge teenstra Thu, 10/28/2010 - 01:18

Please be honest in what you say the truth will last ........I work with Cisco for 6 Years and i am 100% sure you used the wrong image  , that IOS software you are using is meant for the SUP720 series ...thats why you see that message

"c7600rsp72043_rp-ADVENTERPRISEK9-M), Version 12.2(33)SRB2" to "s72033_rp-ADVENTERPRISEK9_WAN-M), Version 12.2(18)SXF9".

See above the image naming : s720  MSFC3 / PFC3  = s72033 this will not work on a RSP720...

The RSP720 image is recognized by the following letters/numbers :c7600 rsp720 MSFC4 / PFC3 = c7600rsp72043 , the image only works in a 7600 series Cisco router while the other image is for use in a Catalyst 6500 series Switch and working on a Cisco SUP720 series supervisor.

See cisco document from the -GE and the -10GE:

http://www.cisco.com/en/US/prod/collateral/routers/ps368/product_data_sheet0900aecd8057f3b6.html

Software compatibility

Cisco 7600 Series

• RSP 720 is introduced on Cisco IOS® Software Release 12.2.33SRB train

http://www.cisco.com/en/US/prod/collateral/routers/ps368/product_data_sheet0900aecd8072579f.html

Software compatibility

• The Cisco 7600 Series RSP720-10GE is generally available from the Cisco IOS® Software 12.2(33)SRE release train.
• Support for the RSP720-10GE is only available on a limited basis for Cisco IOS Software 12.2(33)SRC, 12.2(33)SRD release trains.

Actions

This Discussion